Module | YARD::Server::DocServerHelper
In: | lib/yard/server/doc_server_helper.rb

A module that is mixed into {Templates::Template} in order to customize certain template methods.

### Methods

base_path router url_for url_for_file

### Public Instance methods

base_path(path)

@example The base path for a library ‘foo‘

      base_path('docs') # => 'docs/foo'

@param [String] path the path prefix for a base path URI @return [String] the base URI for a library with an extra `path` prefix

router()

@return [Router] convenience method for accessing the router

url_for(obj, anchor = nil, relative = false)

Modifies {Templates::Helpers::HtmlHelper#url_for} to return a URL instead of a disk location. @param (see Templates::Helpers::HtmlHelper#url_for) @return (see Templates::Helpers::HtmlHelper#url_for)

url_for_file(filename, anchor = nil)

Modifies {Templates::Helpers::HtmlHelper#url_for_file} to return a URL instead of a disk location. @param (see Templates::Helpers::HtmlHelper#url_for_file) @return (see Templates::Helpers::HtmlHelper#url_for_file)

[Validate]